Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class FastSegmentSetIntersectionFinder

    java.lang.Object
      com.vividsolutions.jts.noding.FastSegmentSetIntersectionFinder

    public class FastSegmentSetIntersectionFinder

extends java.lang.Object

Finds if two sets of `SegmentString`s intersect. Uses indexing for fast performance and to optimize repeated tests against a target set of lines. Short-circuited to return as soon an intersection is found.

Version:
  1.7

Constructor Summary
`FastSegmentSetIntersectionFinder(java.util.Collection baseSegStrings)`

Method Summary
`SegmentSetMutualIntersector` | `getSegmentSetIntersector()` Gets the segment set intersector used by this class.
`boolean` | `intersects(java.util.Collection segStrings)`
`boolean` | `intersects(java.util.Collection segStrings, SegmentIntersectionDetector intDetector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastSegmentSetIntersectionFinder

    public FastSegmentSetIntersectionFinder(java.util.Collection baseSegStrings)

Method Detail

### getSegmentSetIntersector

    public SegmentSetMutualIntersector getSegmentSetIntersector()

  Gets the segment set intersector used by this class. This allows other uses of the same underlying indexed structure.

  Returns:
    the segment set intersector used

### intersects

    public boolean intersects(java.util.Collection segStrings)

### intersects

    public boolean intersects(java.util.Collection segStrings,
                              SegmentIntersectionDetector intDetector)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD